#!/bin/sh

source .setupFCS_BIN
echo "DISTRIBUTION_BIN=$DISTRIBUTION_BIN"

DESCRIPTION_FILE=autochanger__simulation
echo "DESCRIPTION_FILE=$DESCRIPTION_FILE"

P0=java.util.logging.ConsoleHandler.level\=INFO
echo "P0=$P0"

P1=java.util.logging.FileHandler.formatter\=org.lsst.ccs.utilities.logging.TextFormatter
echo "P1=$P1"

LOGFILENAME=java.util.logging.FileHandler.pattern\=%L/ccs-logs-%A-Autochanger-simu.log
echo "LOGFILENAME=$LOGFILENAME"

P2=.level\=WARNING
echo "P2=$P2"

P3=org.lsst.ccs.level\=INFO
echo "P3=$P3"
 
P4=org.lsst.ccs.bus.level\=INFO
echo "P4=$P4"

P5=org.lsst.ccs.subsystems.fcs.level\=ALL
echo "P5=$P5"

P6=org.lsst.ccs.startInEngineeringMode\=true
echo "P6=$P6"

P7=org.lsst.ccs.logging.StackTraceFormats.depth\=-1
echo "P7=$P7"

#/bin/sh $DISTRIBUTION_BIN/CCSbootstrap.sh -app FcsSubsystem --description $DESCRIPTION_FILE --configuration "" -D $P0 -D $P1 -D $P2 -D $P3 -D $P4 -D $P5 -D $P6 -D $P7 -D $LOGFILENAME -D org.lsst.ccs.jgroups.ALL.UDP.bind_addr=localhost $*
/bin/sh $DISTRIBUTION_BIN/CCSbootstrap.sh -app FcsSubsystem --description $DESCRIPTION_FILE --configuration "" -D $P0 -D $P1 -D $P2 -D $P3 -D $P4 -D $P5 -D $P6 -D $P7 -D $LOGFILENAME $*
#si on met $* à la fin : ça prend encore des arguments.
